<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 
include_once("./_common.php");
$token = get_token();
// 선택옵션으로 인해 셀합치기가 가변적으로 변함
$colspan = 18;
$i=0;
//if ($is_category) $colspan++;
if ($is_good) $colspan++;
if ($is_nogood) $colspan++;

 if ($is_checkbox) $colspan++;
// 제목이 두줄로 표시되는 경우 이 코드를 사용해 보세요.
// <nobr style='display:block; overflow:hidden; width:000px;'>제목</nobr>
$query5 = "select * from g4_write_payrule  ";
$result5 = sql_query($query5);
while($row  = sql_fetch_array($result5)) {
	
//	$in[$i] = $row[wr_1]; //in
	$use_item[$i] = str_replace("use_", "", $row[wr_3]); //out
	$model[$i] = $row[wr_2]; //model
	$rule[$i] = $row[wr_subject]; //parts
//echo $use_item[$i];
	$i++;
}


function evaluate($str)
{

$pt1 = "/x/i";
$str = preg_replace($pt1, "*", $str);

$pt2 = "/([a-z])+/i";
$str = preg_replace($pt2, "\$$0", $str);

$pt3 = "/([0-9])+%/";
$str = preg_replace($pt3, "($0/100)", $str);

$pt4 = "/%/";
$str = preg_replace($pt4, "", $str);

$e = "\$comm = $str;";
eval($e);
//echo $e . "<br>";
return $comm; 


	}
?>

<style>
.board_top { clear:both; }

.board_list { clear:both; width:100%; table-layout:fixed; margin:5px 0 0 0; }
.board_list th { font-size:12px; } 
.board_list th { white-space:nowrap; height:35px; overflow:hidden; text-align:center; } 
.board_list th { border-top:1px solid #ddd; border-bottom:1px solid #ddd; } 

.board_list tr.bg0 { background-color:#fafafa; } 
.board_list tr.bg1 { background-color:#ffffff; } 

.board_list td { padding:.5em; }
.board_list td { border-bottom:1px solid #ddd; } 
.board_list td.num { font-size:11px; color:#888888; font-family:Tahoma; text-align:center; height:35px; }
.board_list td.checkbox { text-align:center; }
.board_list td.subject { font-size:12px; color:#888888; overflow:hidden; text-align:center; }
.board_list td.member { font-size:12px; color:#888888; font-weight:normal;  text-align:right;}
.board_list td.name { font-size:11px; font-weight:normal; padding:0 0 0 20px; }
.board_list td.datetime { font:normal 11px tahoma; color:#BABABA; text-align:center; }
.board_list td.hit { font:normal 11px tahoma; color:#BABABA; text-align:center; }
.board_list td.good { font:normal 11px tahoma; color:#BABABA; text-align:center; }
.board_list td.nogood { font:normal 11px tahoma; color:#BABABA; text-align:center; }

.board_list .notice { font-size:12px; color:#383838; font-weight:bold; }
.board_list .current { font:10px verdana; font-weight:bold; color:#E15916; }
.board_list .comment { font-family:Tahoma; font-size:10px; color:#EE5A00; }

.board_button { clear:both; margin:10px 0 0 0; }

.board_page { clear:both; text-align:center; margin:3px 0 0 0; }
.board_page a:link { color:#777; }

.board_search { text-align:center; margin:10px 0 0 0; }
.board_search .stx { height:20px; border:1px solid #9A9A9A; border-right:1px solid #D8D8D8; border-bottom:1px solid #D8D8D8; padding:4 0 0 5; }
</style>
<style type="text/css">
<!--
.t {
font-family: "돋움";
font-size: 9pt;
color: #666666;
background-color: #F0F0F0;
border: 1px solid #999999;
}
-->
</style>
<link rel="stylesheet" href="<?=$board_skin_path?>/css.css" />  
<script src="<?=$board_skin_path?>/jquery-1.9.1.js"></script>  
<script src="<?=$board_skin_path?>/jquery-ui.js"></script>  


<!-- 게시판 목록 시작 -->
<table width="<?=$width?>" align="center" cellpadding="0" cellspacing="0"><tr><td>


<table  width="<?=$width?>"  align=right>

<? if($stx == "") { $month[0] = date("Y"); $now = date("Y-m"); }  else { $tmp = $stx."-";     $month = explode("-", $stx);  } ?>
<? if(substr($stx, 0, 1) != "20") $month[0] = date("Y"); ?>
<tr>
<td align=center  height=29>


	  <table>
	  <tr>
		<td><a href="<?=$g4[path]?>/bbs/board.php?bo_table=payrule">Go to 급여 규칙</a>&nbsp;&nbsp;&nbsp;&nbsp;* 잔업과 휴일 근무는 시간을 넣으세요..</td>
		<td align=center>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="<?=$board_skin_path?>/print.php" target="_blank"><font size="" color="red"><b>Print</b></font></a></td>
	  </tr>
	  </table>
</td></tr>

<tr height=2 bgcolor=red><td>

</td></tr>


</td></tr>
<tr><td>

    <!-- 분류 셀렉트 박스, 게시물 몇건, 관리자화면 링크 -->
    <div class="board_top">
        <div style="float:left;">
            <form name="fcategory" method="get" style="margin:0px;">
            <? if ($is_category) { ?>
            <select name=sca onchange="location='<?=$category_location?>'+<?=strtolower($g4[charset])=='utf-8' ? "encodeURIComponent(this.value)" : "this.value"?>;">
            <option value=''>전체</option>
            <?=$category_option?>
            </select>
            <? } ?>
            </form>
        </div>
        <div style="float:right;">
            <img src="<?=$board_skin_path?>/img/img_total.gif" border='0' align="absmiddle">
            <span style="color:#888888; font-size:10px; font-family:Verdana; padding-right:10px;"><?=number_format($total_count)?></span>
            <? if ($rss_href) { ?><a href='<?=$rss_href?>'><img src='<?=$board_skin_path?>/img/btn_rss.gif' border='0' align="absmiddle"></a><?}?>
            
        </div>
    </div>
<script type="text/javascript">
var list_update_php = "<?=$board_skin_path?>/update.php";
var list_delete_php = "member_list_delete.php";
</script>
    <!-- 제목 -->
<form name=fboardlist method=post>
<input type=hidden name=sst   value='<?=$sst?>'>
<input type=hidden name=sod   value='<?=$sod?>'>
<input type=hidden name=sfl   value='<?=$sfl?>'>
<input type=hidden name=stx   value='<?=$stx?>'>
<input type=hidden name=page  value='<?=$page?>'>
<input type=hidden name=token value='<?=$token?>'>

    <table cellspacing="0" cellpadding="0" class="board_list">
    <col width="50" />
 <? if ($is_checkbox) { ?><col width="30" /><? } ?> 

    <col />
    <col width="60" />
    <col width="70" />
    <col width="60" />
    <col width="80" />

    <col width="60" />
    <col width="50" />
    <col width="50" />
    <col width="50" />
    <col width="50" />
    <col width="50" />
    <col width="60" />
    <col width="50" />
    <col width="50" />
    <col width="60" />
    <col width="60" />

    <col width="100" />
    <tr>
        <th><img src="<?=$board_skin_path?>/img/list_no.gif" border='0'></th>
 <? if ($is_checkbox) { ?><th><input type=checkbox name=chkall value='1' onclick='check_all(this.form)'></th><?}?>

        <th>이름 </th>
		        <th>사원번호</th>
        <th>부서 </th>
        <th>규칙</th>
        <th>기본급</th>
        <th>주택</th>
        <th>의료</th>
        <th>연금</th>
        <th>결근</th>
        <th>만근</th>
        <th>식대</th>
        <th >잔업</th>
        <th>휴일</th>
        <th>세금</th>
        <th>보너스</th>
        <th>기타</th>
		<th><b><font size="2" color="red">급여</font></b></th> 
    </tr>

    <? 
	
    for ($i=0; $i<count($list); $i++) { 
		$payrule ='';
		$content="";
		$bg = $i%2 ? 0 : 1;
?>


		

    <tr class="bg<?=$bg?>"> 
        <td class="num">
            <? 
            if ($list[$i][is_notice]) // 공지사항 
                echo "notice";
            else if ($wr_id == $list[$i][wr_id]) // 현재위치
                echo "<span class='current'>{$list[$i][num]}</span>";
            else
                echo $list[$i][num];
            ?>
			<?
				$wr_4 = $list[$i][wr_4];
				$query5 = "select * from g4_write_payrule where wr_subject = '$wr_4' ";
				$result5 = sql_query($query5);
				while($row  = sql_fetch_array($result5)) {
	
					$type = $row[wr_1]; //model

				}
				//항목 계산식 가져오기

 //echo $list[$i][wr_4]; 
		$temp ="";	
		for($j=0; $j < count($rule) ; $j++) {
			$use_item[$j] = substr($use_item[$j], 0 ,-1);
			if($list[$i][wr_4] == $rule[$j]) $item = explode(",", $use_item[$j]);
			//echo $use_item[$j]."<br>";
		}
			$m=0;
			$query6 = "select * from g4_write_payitem where wr_subject ='$type'; ";
			$result6 = sql_query($query6);
			while($row  = sql_fetch_array($result6)) {
				
				for($j=0; $j < count($item) ; $j++) {
				//	$it[$j] = ${"item".$j};
					
					if($item[$j] != 11) {
					$itrow[j] = "wr_".$item[$j];
					$it[$j] = array($item[$j], $row[$itrow[j]]);
					}
					if($item[$j] == 11) $it[$j] = array($item[$j], $row[wr_link1]);
			//var_dump($item[10]);
					//echo $row[$itrow[j]];
				}
					
//					echo 

			}
//var_dump($it);
			?>
        </td>

  <? if ($is_checkbox) { ?><td class="checkbox"><input type=checkbox name=chk[] value="<?=$i?>"></td><? } ?>
<input type="hidden" name=wr_id[<?=$i?>] value="<?=$list[$i][wr_id]?>">
		<td class="subject" >
            <? 
            echo $nobr_begin;
            echo $list[$i][reply];
            echo $list[$i][icon_reply];
            if ($is_category && $list[$i][ca_name]) { 
                echo "<span class=small><font color=gray>[<a href='{$list[$i][ca_name_href]}'>{$list[$i][ca_name]}</a>]</font></span> ";
            }

            if ($list[$i][is_notice])
                echo "<a href='{$list[$i][href]}'><span class='notice'>{$list[$i][subject]}</span></a>";
            else
                echo "{$list[$i][subject]}";

         
            // if ($list[$i]['link']['count']) { echo "[{$list[$i]['link']['count']}]"; }
            // if ($list[$i]['file']['count']) { echo "<{$list[$i]['file']['count']}>"; }

          
            ?>
        </td>
		
        <td class="datetime" ><?=$list[$i][wr_1]?>&nbsp;</td>
        <td class="datetime" ><?=$list[$i][wr_2]?>&nbsp;</td>

        <td class="datetime" ><b><select name="wr_4[<?=$i?>]" required>
		
		<? //echo $list[$i][wr_4]; 
			
		for($j=0; $j < count($rule) ; $j++) {
			$a ='';
			if($list[$i][wr_4] == $rule[$j]) { $a = "selected"; $payrule = $model[$j]; }
			?>
			<option value="<?=$rule[$j]?>" <?=$a?>><?=$rule[$j]?>
			<? } ?>
		</select>
		</td>       
        <td class="datetime" ><input type="text" name="wr_5[<?=$i?>]"   value="<?=$list[$i][wr_5]?>" size=6 numeric></td>
        <td class="datetime" >
		<? 
				for($j=0; $j < count($item) ; $j++) {
					if($it[$j][0] == 1 && $list[$i][wr_5] != "") { 
		$rent = str_replace("기본급", $list[$i][wr_5], $it[$j][1]);
						@$rent = evaluate($rent);  										}		
					//else $rent=0;
				}
			if($list[$i][wr_5] == "" || $list[$i][wr_5] == 0 ) $rent =0;
				echo number_format($rent);
				$content .= $rent.",";
			?>
		</td>



        <td class="datetime" >
			<? 
				for($j=0; $j < count($item) ; $j++) {
					if($it[$j][0] == 2 && $list[$i][wr_5] != "") { 
						$health = str_replace("기본급", $list[$i][wr_5], $it[$j][1]);
						$health = evaluate($health);  					//echo $it[$j][1];
					}		
					//else $rent=0;
				}
			if($list[$i][wr_5] == "" || $list[$i][wr_5] == 0 ) $health =0;
				echo number_format($health);
				$content .= $health.",";
			?>
			</td>
        <td class="datetime" >
			<? 
				for($j=0; $j < count($item) ; $j++) {

				//	if($it[$j][0] != 3 || $list[$i][wr_5] == "" || $list[$i][wr_5] == 0 ) $pension =0;
					if($it[$j][0] == 3 && $list[$i][wr_5] != "") { 
							$equation = str_replace("기본급", $list[$i][wr_5], $it[$j][1]);
						 
						$pension = evaluate($equation);  		
//ob_end_clean();						
					}		
					//if($it[$j][0] != 3) $pension =0;
					//else $rent=0;
				}
			
			if($list[$i][wr_5] == "" || $list[$i][wr_5] == 0 ) $pension =0;
				echo number_format($pension);
				$content .= $pension.",";
			?>
			</td>

        <td class="datetime" ><input type="text" name="wr_6[<?=$i?>]"   value="<?=$list[$i][wr_6]?>" numeric size=2>
		<? 
		/*		for($j=0; $j < count($item) ; $j++) {
					if($it[$j][0] == 4 && $list[$i][wr_5] != "") { 
						$absent = str_replace("기본급", $list[$i][wr_5], $it[$j][1]);
						$absent = evaluate($health);  					//echo $it[$j][1];
					}		
					//else $rent=0;
				}
			if($list[$i][wr_5] == "" || $list[$i][wr_5] == 0 ) $absent =0;
				$absent = number_format($absent*$list[$i][wr_6]);
		*/	?>
		</td>
        <td class="datetime" ><select name="wr_7[<?=$i?>]" required>
		
			

		<?	
					$yselect ="";	$nselect ="";$all_attend=0;
		$a =0;
		for($j=0; $j < count($item) ; $j++) {
					if($it[$j][0] == 5 && $list[$i][wr_5] != "")  { 
						$a = 1; 
							$all_attend = str_replace("기본급", $list[$i][wr_5], $it[$j][1]);   // 만근 여부 체크
						 
						$all_attend = evaluate($all_attend);  	
									
				}

		}
		if($list[$i][wr_7] == "Y" || $list[$i][wr_7] == ""  ) $yselect = "selected";
		if($list[$i][wr_7] == "N" || $list[$i][wr_6] != 0 || $a != 1) $nselect = "selected";
					//$content .= $all_attend.",";
			?>
			<option value="Y" <?=$yselect?>>Yes
			<option value="N" <?=$nselect?>>No

		</select>
			<? 
		/*		for($j=0; $j < count($item) ; $j++) {
					if($it[$j][0] == 5 && $list[$i][wr_5] != "" && $list[$i][wr_7] == "Y") { 
						$attendance = str_replace("기본급", $list[$i][wr_5], $it[$j][1]);
						$attendance = evaluate($attendance);  					//echo $it[$j][1];
					}		
					//else $rent=0;
				}
			if($list[$i][wr_5] == "" || $list[$i][wr_5] == 0 ) $attendance =0;
				$attendance = number_format($attendance);
		*/	?>
		
		</td>
        <td class="datetime">
			<? 
				for($j=0; $j < count($item) ; $j++) {
					if($it[$j][0] == 6 && $list[$i][wr_5] != "") { 
						$lunch = str_replace("기본급", $list[$i][wr_5], $it[$j][1]);
						$lunch = evaluate($lunch);  					//echo $it[$j][1];
					}		
					//else $rent=0;
				}
			if($list[$i][wr_5] == "" || $list[$i][wr_5] == 0 ) $lunch =0;
				echo number_format($lunch);
				$content .= $lunch.",";
			?>
		</td>
        <td class="datetime" >
		<? /*
				for($j=0; $j < count($item) ; $j++) {
					if($it[$j][0] == 7 && $list[$i][wr_5] != "") { 
						$extra = str_replace("기본급", $list[$i][wr_5], $it[$j][1]);
						$extra = evaluate($extra);  					//echo $it[$j][1];
					}		
					//else $rent=0;
				}
			if($list[$i][wr_5] == "" || $list[$i][wr_5] == 0 ) $extra =0;
				$extra = number_format($extra*$list[$i][wr_8]);
		*/	?>
		
		<input type="text" name="wr_8[<?=$i?>]"   value="<?=$list[$i][wr_8]?>" numeric size=2></td>
        <td class="datetime" >
			<? 
			/*	for($j=0; $j < count($item) ; $j++) {
					if($it[$j][0] == 8 && $list[$i][wr_5] != "") { 
						$holidy = str_replace("기본급", $list[$i][wr_5], $it[$j][1]);
						$holidy = evaluate($holidy);  					//echo $it[$j][1];
					}		
					//else $rent=0;
				}
			if($list[$i][wr_5] == "" || $list[$i][wr_5] == 0 ) $holidy =0;
				$holidy = number_format($holidy*$list[$i][wr_9]);
			*/?>
		<input type="text" name="wr_9[<?=$i?>]"   value="<?=$list[$i][wr_9]?>" numeric size=2></td>
		<td class="datetime" ><? 
				for($j=0; $j < count($item) ; $j++) {
					if($it[$j][0] == 9 && $list[$i][wr_5] != "") { 
						$tax = str_replace("기본급", $list[$i][wr_5], $it[$j][1]);
						$tax = evaluate($tax);  					//echo $it[$j][1];
					}		
					//else $rent=0;
				}
			if($list[$i][wr_5] == "" || $list[$i][wr_5] == 0 ) $tax =0;
				echo number_format($tax);
				$content .= $tax.",";
			?>
			</td>

        <td class="datetime" >
		<? 
				for($j=0; $j < count($item) ; $j++) {
					if($it[$j][0] == 10 && $list[$i][wr_5] != "") { 
						$bonus = str_replace("기본급", $list[$i][wr_5], $it[$j][1]);
						$bonus = evaluate($bonus);  					//echo $it[$j][1];
					}		
					//else $rent=0;
				}
			if($list[$i][wr_5] == "" || $list[$i][wr_5] == 0 ) $bonus =0;
				echo number_format($bonus);
				$content .= $bonus.",";
			?>
</td>
        <td class="datetime"><? 
				for($j=0; $j < count($item) ; $j++) {
					if($it[$j][0] == "11" && $list[$i][wr_5] != "") { 
						$etc = str_replace("기본급", $list[$i][wr_5], $it[$j][1]);
						$etc = evaluate($etc);  					//echo $it[$j][1];
					}		
				if($list[$i][wr_5] == "" || $list[$i][wr_5] == 0 ) $etc =0;
					//else $rent=0;
				}

				echo number_format($etc);
				$content .= $etc.",";
			?></td>



        <td class="subject" >
		<? 


			
		for($j=0; $j < count($rule) ; $j++) {
			$a ='';
			if($list[$i][wr_4] == $rule[$j])  $payrule = $model[$j]; 
			 } 
//echo $payrule;

if($list[$i][wr_6] == "" ) $list[$i][wr_6]=0;
if($list[$i][wr_8] == "") $list[$i][wr_8]=0;
if($list[$i][wr_9] == "") $list[$i][wr_9]=0;


					if($list[$i][wr_5] != "") { 
						$payrule = str_replace("기본급", $list[$i][wr_5], $payrule);
						$payrule = str_replace("결근", $list[$i][wr_6], $payrule);
						//$payrule = str_replace("만근", $list[$i][wr_7], $payrule);
						$payrule = str_replace("잔업", $list[$i][wr_8], $payrule);
						$payrule = str_replace("휴일", $list[$i][wr_9], $payrule);
						//$att = str_replace("기본급", $list[$i][wr_5], $all_attend);
			//echo $payrule;
					
						}

						@$payrule = evaluate($payrule);  					//echo $att;
						@$att = evaluate($att);   //echo $att;
						if($a == 1) {
							if($list[$i][wr_7] == "N" || $list[$i][wr_6] != 0 ) $salary = $payrule - $all_attend;
							//else $salary = $payrule;
						}
						else $salary = $payrule;
							
					//else $rent=0;

			if($list[$i][wr_5] == "" || $list[$i][wr_5] == 0 ) $salary =0;
				echo number_format($salary,1);
				$content .= $salary;
				$wr = $list[$i][wr_id];
				sql_query("update g4_write_payroll set wr_content = '$content' where wr_id = '$wr' ")
			?>

		</td>


		
     
      
    </tr>
    <? } // end for ?>

    <? if (count($list) == 0) { echo "<tr><td colspan='$colspan' height=100 align=center></td></tr>"; } ?>

    </table>


    <div class="board_button">
        <div style="float:left;">
        <? if ($list_href) { ?>
        <a href="<?=$list_href?>"><img src="<?=$board_skin_path?>/img/btn_list.gif" align="absmiddle" border='0'></a>
        <? } ?>
<? if ($is_checkbox) {?> <input type=button class='btn1' value='Update' onclick="btn_check(this.form, 'update')"> <?} ?>
        </div>

        
    </div>
</form>
    <!-- 페이지 -->
    <div class="board_page">
        <? if ($prev_part_href) { echo "<a href='$prev_part_href'><img src='$board_skin_path/img/page_search_prev.gif' border='0' align=absmiddle title='이전검색'></a>"; } ?>
        <?
        // 기본으로 넘어오는 페이지를 아래와 같이 변환하여 이미지로도 출력할 수 있습니다.
        //echo $write_pages;
        $write_pages = str_replace("처음", "<img src='$board_skin_path/img/page_begin.gif' border='0' align='absmiddle' title='처음'>", $write_pages);
        $write_pages = str_replace("이전", "<img src='$board_skin_path/img/page_prev.gif' border='0' align='absmiddle' title='이전'>", $write_pages);
        $write_pages = str_replace("다음", "<img src='$board_skin_path/img/page_next.gif' border='0' align='absmiddle' title='다음'>", $write_pages);
        $write_pages = str_replace("맨끝", "<img src='$board_skin_path/img/page_end.gif' border='0' align='absmiddle' title='맨끝'>", $write_pages);
        //$write_pages = preg_replace("/<span>([0-9]*)<\/span>/", "$1", $write_pages);
        $write_pages = preg_replace("/<b>([0-9]*)<\/b>/", "<b><span style=\"color:#4D6185; font-size:12px; text-decoration:underline;\">$1</span></b>", $write_pages);
        ?>
        <?=$write_pages?>
        <? if ($next_part_href) { echo "<a href='$next_part_href'><img src='$board_skin_path/img/page_search_next.gif' border='0' align=absmiddle title='다음검색'></a>"; } ?>
    </div>

    <!-- 검색 -->
    <div class="board_search">
        <form name="fsearch" method="get">
        <input type="hidden" name="bo_table" value="<?=$bo_table?>">
        <input type="hidden" name="sca"      value="<?=$sca?>">
        <select name="sfl">
            <option value="wr_subject">이름</option>
            <option value="wr_1">Employee No.</option>
            <option value="wr_2">Section</option>
            <option value="wr_3">Position</option>

            
        </select>
        <input name="stx" class="stx" maxlength="15" itemname="검색어" required value='<?=stripslashes($stx)?>'>
        <input type="image" src="<?=$board_skin_path?>/img/btn_search.gif" border='0' align="absmiddle">
        </form>
    </div>

</td></tr></table>
<form name='fpost' method='post'>
<input type='hidden' name='sst'   value='<?=$sst?>'>
<input type='hidden' name='sod'   value='<?=$sod?>'>
<input type='hidden' name='sfl'   value='<?=$sfl?>'>
<input type='hidden' name='stx'   value='<?=$stx?>'>
<input type='hidden' name='page'  value='<?=$page?>'>
<input type='hidden' name='token' value='<?=$token?>'>
<input type='hidden' name='wr_id'>
</form>
<script type="text/javascript">
if ('<?=$sca?>') document.fcategory.sca.value = '<?=$sca?>';
if ('<?=$stx?>') {
    document.fsearch.sfl.value = '<?=$sfl?>';

    if ('<?=$sop?>' == 'and') 
        document.fsearch.sop[0].checked = true;

    if ('<?=$sop?>' == 'or')
        document.fsearch.sop[1].checked = true;
} else {
    document.fsearch.sop[0].checked = true;
}

function check_all(f)
{
    var chk = document.getElementsBy이름("chk[]");

    for (i=0; i<chk.length; i++)
        chk[i].checked = f.chkall.checked;
}

function btn_check(f, act)
{
    if (act == "update") // 선택수정
    { 
        f.action = list_update_php;
        str = "update";
    } 
    else if (act == "delete") // 선택삭제
    { 
        f.action = list_delete_php;
        str = "delete";
    } 
    else
        return;

    var chk = document.getElementsBy이름("chk[]");
    var bchk = false;

    for (i=0; i<chk.length; i++)
    {
        if (chk[i].checked)
            bchk = true;
    }

    if (!bchk) 
    {
        alert("Please select employee to " + str );
        return;
    }

    if (act == "delete")
    {
    if (!confirm("Will you delete? : "+str))
            return;
    }

    f.submit();
}

</script>




<!-- 게시판 목록 끝 -->
